.custom-checkout-wrapper .woocommerce-checkout-review-order > h3 {
    font-size: 14px;
    font-weight: 500;
    padding: 0 16px 10px;
}
.custom-checkout-wrapper .woocommerce-checkout-review-order .woocommerce-info{
    background: transparent !important;
    color: #121212 !important;
    margin: 0  !important;
    padding: 0 !important;
}
.custom-checkout-wrapper .woocommerce-checkout-review-order .woocommerce-info a{
    border-top: 1px solid rgba(18, 18, 18, 0.25)
}

.custom-checkout-wrapper .woocommerce-form-coupon{
    margin: 0 !important;
    border: none !important;
    padding: 0 16px 16px !important;
    display: flex;
}
.custom-checkout-wrapper .checkout_coupon .form-row-first{
    flex: 1;
    padding-right: 8px !important;
}
.custom-checkout-wrapper .woocommerce-form-coupon .form-row{
    float: unset;
    margin: 0;
    padding: 0;
    width: auto;
}

.woocommerce form .checkout_coupon button.button
{
    border-radius: 0 !important;
    min-width: 100px;
    background-color: #32373c !important;
    border-width: 0 !important;
    color: #fff !important;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 48px;
    font-weight: 400 !important;
}

.woocommerce form .checkout_coupon button.button::after, .woocommerce-cart-form button.button::after{
    display: none !important;
}

.woocommerce form .checkout_coupon button.button:hover, .woocommerce-cart-form button.button:hover{
    padding: unset;
}


.custom-checkout-wrapper .woocommerce-checkout-review-order .woocommerce-form-coupon-toggle .woocommerce-info{
    position: relative;
}

.custom-checkout-wrapper .woocommerce-checkout-review-order .cart-discount .woocommerce-remove-coupon{
        margin-left: auto;
}

.woocommerce-form-coupon-toggle a{
    color: #e05e82 !important;
    display: block;
    position: relative;
    padding: 16px;
    font-weight: 700;
    font-size: 16px !important;
}
.woocommerce-form-coupon-toggle  a::after{
     position: absolute;
    right: 16px;
    content: '';
    background-image: url(/wp-content/themes/divi-child/assets/images/down-arrow-icon.svg);
    height: 24px;
    width: 24px;
    background-repeat: no-repeat;
    top: 50%;
    transform: translateY(-50%);
}

.custom-checkout-wrapper .woocommerce-checkout-review-order .woocommerce-checkout-review-order-table{
    border-top: 1px solid rgba(18, 18, 18, 0.25);
    padding-top: 25px;
}





/* card css start  */
.woocommerce-cart #left-area{
    width: 100%;
    padding: 23px 0px 0px !important;
    float: none !important;
}
.woocommerce-cart .entry-title.main_title {
    display:  none;
}
.woocommerce-cart .vin-cart-main-wrapper {
        display:  flex;
        flex-wrap:  wrap;
        align-items:  flex-start;
}
.woocommerce-cart .woocommerce-cart-wrapper .vin-cart-left-section {
        max-width:  65%;
        flex: 0 0 65%;
        padding-right:  50px;
}
.woocommerce-cart .woocommerce-cart-wrapper .vin-cart-right-side-wrapper {
        max-width:  35%;
        flex: 0 0 35%;
        border:  1px solid #eee;
}
.woocommerce-cart .woocommerce .cart-collaterals .cart_totals, .woocommerce-cart.woocommerce-page .cart-collaterals .cart_totals {
        width:  100%;
        float:  none;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart th {
        padding:  11px 16px 11px 0;
        white-space:  nowrap;
        padding-left:  16px;
        font-size:  12px;
        text-transform:  uppercase;
}
.woocommerce-page table.cart td.actions, .woocommerce-cart .woocommerce-cart-wrapper table.cart td.action {
        display:  none !important;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td {
        padding:  24px 0 24px 16px;
        vertical-align:  top;
        border-color: #eee;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-thumbnail {
        width:  100px;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td:last-child  {
        padding-right:  16px;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-cart-item__wrap a {
        margin-bottom:  12px;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-components-product-badge {
        border:  1px solid;
        border-radius:  4px;
        display:  inline-block;
        font-size:  11px;
        font-weight:  600;
        padding:  0 7px;
        text-transform:  uppercase;
        white-space:  nowrap;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-cart-item__wrap .wc-block-cart-item__prices {
        margin:  12px 0;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-cart-item__wrap .wc-block-components-product-badge {
        margin-bottom:  12px;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-cart-item__wrap .wc-block-components-product-metadata__description p {
        font-size:  11px;
        margin-bottom:  12px;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added {
        border-radius:  4px;
        box-sizing:  content-box;
        display:  flex;
        margin:  0;
        position:  relative;
        width:  124px;
        border:  1px solid hsla(0, 0%, 7%, 0.11);
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added input {
        -moz-appearance:  textfield;
        appearance:  textfield;
        background:  transparent;
        border:  0;
        box-shadow:  none;
        color:  currentColor;
        flex:  1 1 auto;
        font-size:  1em;
        font-weight:  600;
        line-height:  1;
        margin:  0;
        min-width:  40px;
        order:  2;
        padding:  .4em 0;
        text-align:  center;
        vertical-align:  middle;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added button {
        background:  none transparent;
        border:  0;
        box-shadow:  none;
        color:  currentColor;
        cursor:  pointer;
        font-size:  18px;
        font-style:  normal;
        font-weight:  400;
        margin:  0;
        min-width:  30px;
        opacity:  0.6;
        padding:  0;
        text-align:  center;
        text-decoration:  none;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity button.wc-block-components-quantity-selector__button--minus  {
        border-radius:  4px 0 0 4px;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity button.wc-block-components-quantity-selector__button--plus  {
        border-radius:  0 4px 4px 0;
        order:  3;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added button:hover, .woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added button:focus {
        opacity:  1;
}
.woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added input:focus, .woocommerce-cart .wc-block-cart-item__quantity .quantity.buttons_added button:focus  {
        box-shadow:  inset 0 0 1px 1px currentColor;
        outline:  none;
}
.woocommerce-cart input::-webkit-outer-spin-button, .woocommerce-cart input::-webkit-inner-spin-button  {
      -webkit-appearance:  none;
      margin:  0;
}
.woocommerce-cart input[type=number]  {
      -moz-appearance:  textfield;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper .wc-block-cart-item__wrap .wc-block-cart-item__quantity a {
        color: #121212 !important;
        font-size:  12px;
        display:  inline-block;
        margin-top:  12px;
        text-decoration:  underline;
        margin-bottom:  0;
}
.woocommerce-cart .wc-block-cart-item__quantity a:hover {
        text-decoration:  none;
}
.woocommerce-cart .woocommerce-cart-wrapper table.cart .product-thumbnail a {
        display:  block;
        width:  84px;
}
.woocommerce-cart .woocommerce-cart-wrapper table.cart .product-thumbnail img {
        width:  100%;
}
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr th.product-subtotal, .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-subtotal {
        text-align:  right;
    }
    
.woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-subtotal, #order_review .product-price{
    white-space: nowrap;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table {
        border-left:  none;
        border-right:  none;
        margin-bottom:  0 !important;
        border-radius:  0;
}
.woocommerce-cart #content-area .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table tr th, .woocommerce-cart #content-area .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table tr td {
        border:  none;
        padding:  16px;
}
.woocommerce-cart #content-area .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table tr.order-total th, .woocommerce-cart #content-area .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table tr.order-total td {
        border-top:  1px solid #eee;
        font-weight:  700;
        font-size:  18px;
}
.woocommerce-cart #content-area .woocommerce-cart-wrapper .woocommerce-cart-payment .shop_table tr.order-total td {
        text-align:  right;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment {
        border:  1px solid #eee;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment .cart_totals h2 {
        font-size:  12px;
        font-weight:  700;
        text-transform:  uppercase;
        margin:  0;
        padding:  14px 16px;
        line-height:  1;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment .cart_totals .wc-proceed-to-checkout {
        padding:  0;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment .cart_totals .wc-proceed-to-checkout a.checkout-button.button.alt.wc-forward {
        border-radius:  0 !important;
        background:  #32373c !important;
        margin:  0;
        font-size:  14px;
        font-weight:  400;
        padding:  15px 20px !important;
        line-height:  1.2 !important;
        border: none !important;
        color: #fff;
}
.woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-payment .cart_totals .wc-proceed-to-checkout a.checkout-button.button.alt.wc-forward::after {
        display:  none;
}
.woocommerce-cart .woocommerce {
        padding-bottom:  70px;
}

.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block  {
        padding-top:  16px;
        border-top:  1px solid #eee;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .wc-block-components-totals-wrapper  {
        border:  0;
        padding-bottom:  0;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .wc-block-components-totals-item  {
        box-sizing:  border-box;
        display:  flex;
        flex-wrap:  wrap;
        width:  100%;
        justify-content:  space-between;
        padding:  0 16px;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .vin-chosen-shipping-method{
        padding: 16px;
        border-bottom:  1px solid #eee;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .wp-block-woocommerce-cart-woocommerce-shipping-totals {
        padding:  16px;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .wp-block-woocommerce-cart-woocommerce-shipping-totals > span {
        display:  block;
        margin-bottom:  10px;
}
.woocommerce-cart .woocommerce .wp-block-woocommerce-cart-order-summary-totals-block ul#shipping_method.woocommerce-shipping-methods li {
        position:  relative;
        margin-bottom:  10px;
}

.woocommerce-cart .wc-block-components-totals-item__label  {
        flex-grow:  1;
}
.woocommerce-cart .wc-block-components-formatted-money-amount  {
        white-space:  nowrap;
}
.woocommerce-cart .wc-block-components-order-total {
        border-top: 1px solid rgb(217, 217, 217);
        padding:  16px;
        display:  flex;
        justify-content:  space-between;
}
.woocommerce-cart .wc-block-components-order-total span {
        font-weight:  700;
        color:  #333;
        font-size:  18px;
}
.woocommerce-cart .woocommerce table.shop_table {
        border-radius:  0;
        border-color: #eee;
}
.woocommerce-cart .woocommerce-cart-form .cart-title,
.woocommerce-cart .woocommerce-cart-form .cart-price,
.woocommerce-cart .woocommerce-cart-form .cart-desc

 {
       margin-bottom: 12px;
}
.woocommerce-cart .woocommerce:has(.empty-cart-outer-wrapper) {
        padding-bottom:  80px;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .rosi-chosen-shipping-method  {
        display:  block;
        border-top:  none;
        padding:  16px;
}

.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block .rosi-chosen-shipping-method .label-price-section {
        display:  flex;
        justify-content:  space-between;
}

.woocommerce-cart  .cart_totals  .label-price-section{
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}
.woocommerce-cart  .cart_totals  .shipping_description_section{
    font-size: 11px;
}
.woocommerce-cart .wc-block-components-cart-discount{
           padding: 0 16px 16px;
}
.woocommerce-cart .wc-block-components-cart-discount span:has(> span){
    display: flex;
    line-height: 1;
    align-items: center;
    margin-top: 2px;
}
.woocommerce-cart .wp-block-woocommerce-cart-order-summary-totals-block br{
        display: none !important;
}
.woocommerce-cart .wc-block-components-cart-discount .woocommerce-remove-coupon{
            margin-left: auto;
}

/* card css end */


@media(max-width: 991px) {
       .woocommerce-cart .woocommerce-cart-wrapper .vin-cart-left-section {
            padding-right:  0;
    }
    .woocommerce-cart .woocommerce-cart-wrapper .vin-cart-left-section,     .woocommerce-cart .woocommerce-cart-wrapper .vin-cart-right-side-wrapper {
            max-width:  100%;
            flex: 0 0 100%;
    }
    .woocommerce-cart .woocommerce .wp-block-woocommerce-cart-order-summary-totals-block ul#shipping_method.woocommerce-shipping-methods li label {
            line-height:  1.8;
    }
    .woocommerce-cart .woocommerce .wp-block-woocommerce-cart-order-summary-totals-block ul#shipping_method.woocommerce-shipping-methods li label::before {
            top:  1px;
    }
    .woocommerce-cart .woocommerce .wp-block-woocommerce-cart-order-summary-totals-block ul#shipping_method.woocommerce-shipping-methods li label::after {
            left:  7px;
            top:  7px;
    }
}
@media(max-width: 767px) {
  .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.actions,     .woocommerce table.shop_table_responsive tr td::before,  .woocommerce-page table.shop_table_responsive tr td::before {
            display:  none !important;
    }
    .woocommerce-cart.woocommerce-page table.cart .product-thumbnail {
            display:  block !important;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td {
            display:  table-cell !important;
    }
    .woocommerce-cart .woocommerce table.shop_table_responsive tr td,      .woocommerce-cart.woocommerce-page table.shop_table_responsive tr td {
            text-align:  left !important;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-subtotal {
            text-align:  right !important;
            /* padding-left:  0 !important; */
    }
    .woocommerce-cart .woocommerce table.shop_table_responsive tr:nth-child(2n) td,      .woocommerce-page.woocommerce-cart table.shop_table_responsive tr:nth-child(2n) td {
            background-color:  #fff;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr:first-child td {
            border-top:  none;
    }
    .woocommerce-cart .woocommerce-cart-wrapper .woocommerce-cart-products .woocommerce-cart-form {
            overflow-x:  auto;
    }
    .woocommerce-cart #main-content table.cart tr:has(.actions) {
            display:  none;
    }
    .woocommerce-cart .woocommerce table.shop_table_responsive tr,      .woocommerce-page.woocommerce-cart table.shop_table_responsive tr {
            display:  table-row;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-thumbnail a {
            width:  64px;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td {
            padding:  16px !important;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-thumbnail {
            padding-right:  0 !important;
    }
    .woocommerce-cart .woocommerce {
            padding-bottom:  58px;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-thumbnail  {
            width:  80px;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-thumbnail,
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-name,
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-subtotal
    {
        border: none !important;
        display: block !important;
        width: 100% !important;
        padding-inline: 0 !important;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-name{
        padding-block: 0 !important;
    }
        .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr td.product-subtotal{
                text-align: left !important;
        }
    .woocommerce-cart #left-area{
        padding-top: 0 !important;
    }
    .woocommerce-cart .container{
        padding-top: 20px !important;
    }
    .woocommerce-cart #main-content .woocommerce-cart-wrapper table.cart tr + tr td:first-child{
                border-top:  1px solid #eee !important; 
                border-radius: 0 !important;
    }
        
}


.woocommerce-form-coupon .form-row .button,
.woocommerce form .custom-coupon-form button.button
{
    border-radius: 0 !important;
    min-width: 100px;
    background-color: #32373c !important;
    border-width: 0 !important;
    color: #fff !important;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 48px;
    font-weight: 400 !important;
}
.woocommerce form .custom-coupon-form {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    padding: 0 16px 16px;
}
.woocommerce form .custom-coupon-form  .coupon-error-notice{
        color: #cc1818;
    font-size: 11px;
    position: relative;
    padding-left: 17px;
    line-height: 1;
            
}

.woocommerce-checkout .woocommerce form.checkout_coupon .coupon-error-notice{
    padding-left: 17px;
    line-height: 1;
    position: relative;
}

.woocommerce form .custom-coupon-form  .coupon-error-notice::before,
.woocommerce-checkout .woocommerce form.checkout_coupon .coupon-error-notice::before
{
    position: absolute;
    left: 0;
    content: '';
    background-image: url(/wp-content/themes/divi-child/assets/images/error-icon.svg);
    height: 15px;
    width: 15px;
    background-repeat: no-repeat;
    background-size: cover;
    top: -2px;
}

.woocommerce form .custom-coupon-form input
{
    background-color: #fff !important;
    border: 1px solid hsla(0, 0%, 7%, .8) !important;
    border-radius: 4px;
    box-sizing: border-box;
    color: #2b2d2f !important;
    font-family: inherit;
   font-size: 14px;
    margin: 0;
    padding: 16px;
    width: 100%;
    flex: 1;
}


.custom-checkout-wrapper .woocommerce-checkout-review-order .cart-discount{
            /* margin-top: 14px; */
            padding: 0 16px 16px 16px;

}
.custom-checkout-wrapper .woocommerce-checkout-review-order .cart-discount div:has(.woocommerce-Price-amount){
        display: flex;
}
.custom-checkout-wrapper .woocommerce-checkout-review-order .cart-discount .woocommerce-remove-coupon{
        margin-left: auto;
}

.custom-checkout-wrapper .woocommerce-checkout-review-order  .total-tax-shipping-wrapper .vin-chosen-shipping-method  .shipping_description_section{
        font-size: 11px;
}

.custom-checkout-wrapper .shop_table .order-total div, .custom-checkout-wrapper .shop_table .order-total div strong, .custom-checkout-wrapper .shop_table .order-total div span{
    color: #e05e82 !important;
    font-weight: 700;
    font-size: 18px !important;
}